Bug 214890 - Gaps in the printing support in evince
Gaps in the printing support in evince
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: evince (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
: Desktop
Depends On:
  Show dependency treegraph
Reported: 2006-11-09 16:26 EST by Matthias Clasen
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-22 21:25:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
printing backport (11.86 KB, patch)
2006-11-09 16:26 EST, Matthias Clasen
no flags Details | Diff

  None (edit)
Description Matthias Clasen 2006-11-09 16:26:06 EST
The upstream version 0.6.1 of evince has vastly improved printing support:

- odd/even, ranges, paper size selection, etc. work
- page setup dialog in the menu

I will attach a backport of the printing-related changes in evince 0.6.1. 
The patch needs some more testing (which I will do when I'm back in the office)
Comment 1 Matthias Clasen 2006-11-09 16:26:44 EST
Created attachment 140835 [details]
printing backport
Comment 2 RHEL Product and Program Management 2006-11-09 16:40:39 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
Comment 3 Matthias Clasen 2006-11-09 21:15:34 EST
Patch works fine in my testing.
Comment 4 Matthias Clasen 2006-11-09 22:06:05 EST
Built evince-0.6.0-7.el5 with this patch
Comment 5 Zack Cerza 2006-12-11 17:25:22 EST
Odd/even and ranges work, as does N-up.

Selecting an orientation via "Print Setup" (there is no "Page Setup") does not
seem to have any effect.

I don't currently have access to a printer that supports multiple paper sizes,
that I know of.
Comment 6 RHEL Product and Program Management 2006-12-22 21:25:11 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.